	subroutine SayTooSmall(cSay,cSWEIF,cN,N)

	include		'filparts.h'

	    character	cSay*(*)
	    character	cSWEIF*(*)
	    character	cN*(*)
	    integer	N

	character	cMessage*(FIL__LENGTH)
        integer         Str2Str
        integer         Int2Str

	I = 0
	I = I+Str2Str(cN	,cMessage(I+1:))
	I = I+Str2Str('='	,cMessage(I+1:))
	I = I+Int2Str(N		,cMessage(I+1:))

	call Say(cSay,cSWEIF,cMessage,'parameter too small')

	return
	end
